summaryrefslogtreecommitdiff
path: root/dev-python/python-twitter
diff options
context:
space:
mode:
Diffstat (limited to 'dev-python/python-twitter')
-rw-r--r--dev-python/python-twitter/Manifest1
-rw-r--r--dev-python/python-twitter/metadata.xml8
-rw-r--r--dev-python/python-twitter/python-twitter-1.1.ebuild36
3 files changed, 45 insertions, 0 deletions
diff --git a/dev-python/python-twitter/Manifest b/dev-python/python-twitter/Manifest
new file mode 100644
index 0000000000000..374c858b49d5e
--- /dev/null
+++ b/dev-python/python-twitter/Manifest
@@ -0,0 +1 @@
+DIST python-twitter-1.1.tar.gz 91795 SHA256 0fdc012894cda38735a48b55d4904d86b104515c1242c0c400ab350d62695c12 SHA512 e5600e1b01d72f000345d53abd08901636e888c05b397ded71918a06dde3d0f9e3e83f11cde6e2b5cdab106565c646494efb69eff78ad3daa69db65375e0ff26 WHIRLPOOL a8eb4c0decf54f8f849314f77eb618e70013f0503c40f023fe452fa6c9abdb9c2ea122a864657c0541eb8d86b853a7e92a7e02cd640e0a6d7fdabc5fc31ba11e
diff --git a/dev-python/python-twitter/metadata.xml b/dev-python/python-twitter/metadata.xml
new file mode 100644
index 0000000000000..b862d3a6e7ce2
--- /dev/null
+++ b/dev-python/python-twitter/metadata.xml
@@ -0,0 +1,8 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+ <herd>python</herd>
+ <upstream>
+ <remote-id type="google-code">python-twitter</remote-id>
+ </upstream>
+</pkgmetadata>
diff --git a/dev-python/python-twitter/python-twitter-1.1.ebuild b/dev-python/python-twitter/python-twitter-1.1.ebuild
new file mode 100644
index 0000000000000..82c8d93deafb9
--- /dev/null
+++ b/dev-python/python-twitter/python-twitter-1.1.ebuild
@@ -0,0 +1,36 @@
+# Copyright 1999-2014 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+PYTHON_COMPAT=( python2_7 )
+
+inherit distutils-r1
+
+DESCRIPTION="This library provides a pure python interface for the Twitter API"
+HOMEPAGE="http://code.google.com/p/python-twitter/"
+SRC_URI="http://python-twitter.googlecode.com/files/${P}.tar.gz"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~amd64 ~x86 ~x64-macos"
+IUSE="examples"
+
+RDEPEND="dev-python/oauth2[${PYTHON_USEDEP}]
+ dev-python/simplejson[${PYTHON_USEDEP}]
+ dev-python/requests[${PYTHON_USEDEP}]
+ dev-python/requests-oauthlib[${PYTHON_USEDEP}]"
+DEPEND="dev-python/setuptools[${PYTHON_USEDEP}]"
+# Testsuite in the source is not convincing in its completeness
+RESTRICT="test"
+
+src_prepare() {
+ distutils-r1_src_prepare
+ # Delete internal copy of simplejson.
+ rm -fr simplejson || die
+}
+
+# http://code.google.com/p/python-twitter/issues/detail?id=259&thanks=259&ts=1400334214
+python_test() {
+ esetup.py test
+}